package com.daeucna.board.security.dao;

import javax.annotation.Resource;

import org.apache.ibatis.session.SqlSession;
import org.springframework.stereotype.Repository;

import com.daeucna.board.security.domain.UserDto;
import com.daeucna.board.security.domain.UserForm;

@Repository
public class UserDao {

	@Resource(name = "sqlSession")
	private SqlSession sqlSession;
	
    private static final String NAMESPACE = "board.security.UserMapper";
	
	public UserDto getOne(UserForm userForm) throws Exception { 
	    return sqlSession.selectOne(NAMESPACE + ".getOne", userForm);
	}

	public int insertUser(UserForm userForm) throws Exception { 
	    return sqlSession.insert(NAMESPACE + ".insertUser", userForm);
	}
	
}