package com.daeucna.board.domain;
 
import java.util.List;

import io.swagger.annotations.ApiModel;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
 
@ApiModel(value = "게시글정보 : Board", description = "게시글정보")
@Getter @Setter @ToString
public class BoardDto extends CommonDto {
 
    int board_seq;
    String board_kind;
    int board_parent_seq;
    int board_re_ref;
    int board_re_lev;
    int board_re_seq;
    String board_writer;
    String board_subject;
    String board_content;
    int board_hits;
    String proc_status;
    String proc_desc;
    String proc_date;
    String proc_user;
    String del_yn;
    String ins_user_id;
    String ins_date;
    String upd_user_id;
    String upd_date;
 
    String current_user;
    String result;
    
    List<BoardFileDto> files;
}
